Update vino to 3.6.1

Bug #1070618 reported by Jeremy Bicha on 2012-10-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
vino (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

[IMPACT]

Vino 3.6.1 is a translation and bugfix release. The one bug fixed is a FTBFS bug if building with libsecret support. I'm not sure why vino wasn't automatically building with libsecret support since we did add the build dependencies. In my update, I'm explicitly adding --with-secret to debian/rules to make sure we do build with libsecret support like we intended.

Vino 3.6.1
==========

Alexandre Rostovtsev (1):
      Consistently use SECRET_DEPS, not LIBSECRET_DEPS

David King (2):
      Update NEWS for 3.6.1 release
      Post-release version bump to 3.6.1

Ihar Hrachyshka (1):
      Updated Belarusian translation.

Khoem Sokhem (1):
      [l10n] Added Khmer translation

Rūdolfs Mazurs (1):
      Updated Latvian translation

[TESTCASE]

 * Just make sure vino continues to work.

[Regression Potential]

 * The code diff is pretty small but it does change the build. I don't know much about libsecret but I'm guessing it would improve security.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: vino 3.6.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu4
Architecture: amd64
Date: Tue Oct 23 20:33:01 2012
MarkForUpload: True
SourcePackage: vino
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
Changed in vino (Ubuntu Quantal):
status: New → In Progress
Changed in vino (Ubuntu):
status: New → In Progress
Steve Langasek (vorlon) wrote :

Because vino was previously not building with libsecret support (for whatever reason), this amounts to the introduction of a new feature in the SRU. I think an explicit test case is needed for libsecret if it's going to be enabled in SRU, as well as some explicit analysis of the possible sources of regression due to libsecret enablement.

If this information is not available, I recommend doing this SRU with libsecret explicitly *disabled* instead, for consistency with the current build.

Changed in vino (Ubuntu Quantal):
status: In Progress → Incomplete
Steve Langasek (vorlon) wrote :

Note that there's at least one crasher bug in libsecret in 12.10 for which an SRU is in progress, lending credence to the argument that vino should not add support for it in SRU.

I'm rejecting the uploaded SRU from the queue, pending resolution of this issue. If you believe the package should be accepted as-is, please contact the SRU team directly to discuss.

Jeremy Bicha (jbicha) wrote :

If the SRU team doesn't want to add libsecret to vino at this point for Quantal, then there really isn't any reason to bother with 3.6.1.

I'll upload to raring instead.

Changed in vino (Ubuntu Quantal):
status: Incomplete → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vino - 3.6.1-0ubuntu1

---------------
vino (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release (LP: #1070618).
  * debian/rules:
    - Explicitly build --with-secret
 -- Jeremy Bicha <email address hidden> Sun, 04 Nov 2012 08:44:05 -0500

Changed in vino (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers